summaryrefslogtreecommitdiffstats
path: root/office/siag
diff options
context:
space:
mode:
author Zbigniew Baniewski <zb@ispid.com.pl>2011-01-09 14:35:15 -0200
committer Robby Workman <rworkman@slackbuilds.org>2011-01-10 15:04:25 -0600
commitdaa75b6a3557290e7e321998647717a3b851a70d (patch)
treecd47abcec6b366d16914f96d71b2028337634e92 /office/siag
parent1f8e0e194c67a1b46a44a0cf7e592ba8b16ca058 (diff)
downloadslackbuilds-daa75b6a3557290e7e321998647717a3b851a70d.tar.gz
slackbuilds-daa75b6a3557290e7e321998647717a3b851a70d.tar.xz
office/siag: Added (free office package)
Signed-off-by: Niels Horn <niels.horn@slackbuilds.org>
Diffstat (limited to 'office/siag')
-rw-r--r--office/siag/README5
-rw-r--r--office/siag/siag.SlackBuild83
-rw-r--r--office/siag/siag.info10
-rw-r--r--office/siag/slack-desc19
4 files changed, 117 insertions, 0 deletions
diff --git a/office/siag/README b/office/siag/README
new file mode 100644
index 0000000000..4559047f3d
--- /dev/null
+++ b/office/siag/README
@@ -0,0 +1,5 @@
+Siag Office is a tightly integrated, free office package. It consists of
+the spreadsheet Siag, the word processor PW, the animation program Egon,
+the text editor XedPlus, the file manager Xfiler and the previewer Gvu.
+
+This requires mowitz and nextaw.
diff --git a/office/siag/siag.SlackBuild b/office/siag/siag.SlackBuild
new file mode 100644
index 0000000000..cf4fd88faa
--- /dev/null
+++ b/office/siag/siag.SlackBuild
@@ -0,0 +1,83 @@
+#!/bin/sh
+
+# Slackware build script for siag
+
+# Written by Zbigniew Baniewski, zb@ispid.com.pl
+
+PRGNAM=siag
+VERSION=3.6.1
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i486 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/${PRGNAM}-${VERSION}.tar.gz
+cd $PRGNAM-$VERSION
+chown -R root:root .
+find . \
+ \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+ -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
+ -exec chmod 644 {} \;
+
+CFLAGS="$SLKCFLAGS" \
+CXXFLAGS="$SLKCFLAGS" \
+./configure \
+ --prefix=/usr \
+ --libdir=/usr/lib${LIBDIRSUFFIX} \
+ --sysconfdir=/etc \
+ --localstatedir=/var \
+ --mandir=/usr/man \
+ --with-docdir=/usr/doc/$PRGNAM-$VERSION \
+ --build=$ARCH-slackware-linux
+
+make
+make install DESTDIR=$PKG
+
+find $PKG | xargs file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+
+find $PKG/usr/man -type f -exec gzip -9 {} \;
+for i in $( find $PKG/usr/man -type l ) ; do ln -s $( readlink $i ).gz $i.gz ; rm $i ; done
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a AUTHORS COPYING NEWS README ChangeLog TODO \
+ $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/office/siag/siag.info b/office/siag/siag.info
new file mode 100644
index 0000000000..58f346d066
--- /dev/null
+++ b/office/siag/siag.info
@@ -0,0 +1,10 @@
+PRGNAM="siag"
+VERSION="3.6.1"
+HOMEPAGE="http://siag.nu/"
+DOWNLOAD="http://siag.nu/pub/siag/siag-3.6.1.tar.gz"
+MD5SUM="3d00dda22209327bb907ba78850c797f"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+MAINTAINER="Zbigniew Baniewski"
+EMAIL="zb@ispid.com.pl"
+APPROVED="Niels Horn"
diff --git a/office/siag/slack-desc b/office/siag/slack-desc
new file mode 100644
index 0000000000..3cf431461f
--- /dev/null
+++ b/office/siag/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':'.
+
+ |-----handy-ruler------------------------------------------------------|
+siag: siag (free office package)
+siag:
+siag: Siag Office is a tightly integrated, free office package. It consists
+siag: of the spreadsheet Siag, the word processor PW, the animation program
+siag: Egon, the text editor XedPlus, the file manager Xfiler and the
+siag: previewer Gvu.
+siag:
+siag: http://siag.nu/
+siag:
+siag:
+siag: